curl --request POST \
--url https://api.hubapi.com/crm/auto-associations/2027-03-beta/batch/upsert \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"associationCustomizationsToUpsert": [
{
"engagementType": "<string>",
"subjectObjectTypeId": "<string>",
"targetObjectTypeId": "<string>"
}
]
}
'import requests
url = "https://api.hubapi.com/crm/auto-associations/2027-03-beta/batch/upsert"
payload = { "associationCustomizationsToUpsert": [
{
"engagementType": "<string>",
"subjectObjectTypeId": "<string>",
"targetObjectTypeId": "<string>"
}
] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
associationCustomizationsToUpsert: [
{
engagementType: '<string>',
subjectObjectTypeId: '<string>',
targetObjectTypeId: '<string>'
}
]
})
};
fetch('https://api.hubapi.com/crm/auto-associations/2027-03-beta/batch/upsert', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"completedAt": "2023-11-07T05:31:56Z",
"results": [
{
"associationCustomization": "FIVE_MOST_RECENTLY_ASSOCIATED",
"engagementType": "<string>",
"id": "<string>",
"subjectObjectTypeId": "<string>",
"targetObjectTypeId": "<string>"
}
],
"startedAt": "2023-11-07T05:31:56Z",
"status": "CANCELED",
"links": {},
"requestedAt": "2023-11-07T05:31:56Z"
}{
"completedAt": "2023-11-07T05:31:56Z",
"results": [
{
"associationCustomization": "FIVE_MOST_RECENTLY_ASSOCIATED",
"engagementType": "<string>",
"id": "<string>",
"subjectObjectTypeId": "<string>",
"targetObjectTypeId": "<string>"
}
],
"startedAt": "2023-11-07T05:31:56Z",
"status": "CANCELED",
"errors": [
{
"category": "<string>",
"context": {},
"errors": [
{
"message": "<string>",
"code": "<string>",
"context": "{missingScopes=[scope1, scope2]}",
"in": "<string>",
"subCategory": "<string>"
}
],
"links": {},
"message": "<string>",
"status": "<string>",
"id": "<string>",
"subCategory": {}
}
],
"links": {},
"numErrors": 123,
"requestedAt": "2023-11-07T05:31:56Z"
}{
"message": "Invalid input (details will vary based on the error)",
"correlationId": "aeb5f871-7f07-4993-9211-075dc63e7cbf",
"category": "VALIDATION_ERROR",
"links": {
"knowledge-base": "https://www.hubspot.com/products/service/knowledge-base"
}
}Batch upsert
Perform a batch upsert of auto-association settings in your HubSpot account. This endpoint allows you to update or insert multiple auto-association customizations at once, streamlining the process of managing these settings. The request body must include an array of association customizations to upsert.
Supported products
Supported products
Required Scopes
Required Scopes
Autorizaciones
The access token received from the authorization server in the OAuth 2.0 flow.
- Authorization URL
- https://app.hubspot.com/oauth/authorize
- Token URL
- https://api.hubapi.com/oauth/v1/token
Cuerpo
An array of AutoAssociationUpsertArg objects, each defining a set of customizations for associations. This property is required.
Show child attributes
Show child attributes
Respuesta
successful operation
The date and time when the batch operation was completed, in ISO 8601 format.
An array of AutoAssociationBehavior objects, representing the results of the batch operation.
Show child attributes
Show child attributes
The date and time when the batch operation started, in ISO 8601 format.
The current status of the batch operation. Valid values include 'PENDING', 'PROCESSING', 'CANCELED', and 'COMPLETE'.
CANCELED, COMPLETE, PENDING, PROCESSING An object containing key-value pairs where each key is a link name and each value is a URI string related to the batch operation.
Show child attributes
Show child attributes
The date and time when the batch operation was requested, in ISO 8601 format.